Bug 106408 - Assertion failure in taroon beta-2 kernel
Assertion failure in taroon beta-2 kernel
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 17:00 EDT by Neil Horman
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 09:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2003-10-06 17:00:12 EDT
Description of problem:
Assertion failure:
ngms0 kernel: Assertion failure in journal_forget_R575811ba() at
transaction.c:1247: "!jh->b_committed_data"


Version-Release number of selected component (if applicable):


How reproducible:
Unknown

Steps to Reproduce:
1.unknown
2.
3.
    
Actual results:
Filesystem was severely corrupted

Expected results:


Additional info:
Apologies for the limited info, but the customer has returned his systems to
RH9, and does not have details on reproduction steps, nor does he have any more
detail on the problem then this.  Will update this ticket with more info if/when
it arrives.
Comment 2 Stephen Tweedie 2003-10-13 05:10:27 EDT
This is an assert failure scenario that I discovered very recently.  It does not
cause filesystem corruption: rather, it is a _symptom_ of filesystem corruption.
 If disk corruption causes an indirect block to be corrupted, it is possible for
a bitmap block to become listed in the indirect block.  If the user tries to
delete that file, this panic can result: bitmaps have extra metadata associated
with them and an attempt to throw that metadata away would violate ext3's
internal assumptions.

I am already looking at ways of improving ext3's behaviour when such corruption
is seen.  But such a fix won't cure any on-disk corruption; it will just make
ext3 react to it more gracefully.

To diagnose the initial data corruption we would need more information.
Comment 3 Stephen Tweedie 2005-04-15 09:43:00 EDT
Current errata deal with this failure gracefully, but it won't be possible to
diagnose the underlying problem any further on this information.

Note You need to log in before you can comment on or make changes to this bug.